using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.ExamManages
{
    /// <summary>
    /// 考试标签
    /// </summary>
    [Description("考试标签")]
    public class ExamTag:ExamBusinessEntity, IParentEntity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [SugarColumn(ColumnDescription = "名称")]
        public string Name { get; set; }

        /// <summary>
        /// 父级ID
        /// </summary>
        [Description("父级ID")]
        [SugarColumn(ColumnDescription = "父级ID")]
        public string? ParentId { get; set; }

        /// <summary>
        /// 子标签
        /// </summary>
        [Description("子标签")]
        [SugarColumn(IsIgnore = true)]
        public List<ExamTag> Children { get; set; }
    }
}
